# Uses of Class
javax.swing.text.html.HTMLFrameHyperlinkEvent

Packages that use HTMLFrameHyperlinkEvent
Package
Description
javax.swing.text.html
Provides the class `HTMLEditorKit` and supporting classes for creating HTML text editors.

## Uses of HTMLFrameHyperlinkEvent in javax.swing.text.html

Subclasses of HTMLFrameHyperlinkEvent in javax.swing.text.html
Modifier and Type
Class
Description
`class`
`FormSubmitEvent`
FormSubmitEvent is used to notify interested parties that a form was submitted.
Methods in javax.swing.text.html with parameters of type HTMLFrameHyperlinkEvent
Modifier and Type
Method
Description
`void`
HTMLDocument.`processHTMLFrameHyperlinkEvent​(HTMLFrameHyperlinkEvent e)`
Processes `HyperlinkEvents` that are generated by documents in an HTML frame.